package nlib.restful.service;

import org.springframework.http.HttpMethod;
import nlib.cmm.crypto.AriaCrypto;

/**
 * <pre>
 * @Class Name : DataApiReqVO.java
 * 
 * @Description : RESTful API 요청 VO
 * 
 * 
 * @프로젝트명: 지방문화원 통합자료관리시스템 구축사업 (2021)
 *
 * </pre>
 *
 * @ ------------    --------    ---------------------------
 * @ 수정일                     수정자             수정내용
 * @ ------------    --------    ---------------------------
 * @ 2021. 6. 22.    KNKIM       최초 생성
 *
 * 
 * @author 이씨플라자 * DIGITALSHIP KNKIM
 * @since 2021. 6. 22.
 * @version 1.0
 *
 */
public class DataApiReqVO extends DataApiVO {
	
	/**
	 * 메소드를 GET으로 기본설정하여 객체 생성하는 생성자 
	 */
	public DataApiReqVO() {
		this(null, HttpMethod.GET);
	}
	
    /**
     * 요청 URL을 받아 객체 생성하는 생성자
     * 메소드는 GET으로 설정된다. 
     * 
     * @param reqUrl
     */
    public DataApiReqVO(String reqUrl) {
    	this(reqUrl, HttpMethod.GET);
    }

    /**
     * 요청 URL과 메소드를 받아 객체 생성하는 생성자 
     * 
     * @param reqUrl
     * @param reqMethod
     */
    public DataApiReqVO(String reqUrl, HttpMethod reqMethod) {
    	this.reqUrl = reqUrl;
    	this.reqMethod = reqMethod;
    }
    
	/**
	 * 사용자ID 값을 디코딩하여 리턴한다. 
	 * 
	 * @return
	 */
	public String getMbInfoIdWithDec() {
		return AriaCrypto.decode(getMbInfoId());
	}
	
	/**
	 * 사용자ID를 인코딩하여 설정한다. 
	 * 
	 * @param mbInfoId
	 */
	public void setMbInfoIdWithEnc(String mbInfoId) {
		setMbInfoId(mbInfoId);
	}
	
}
